IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/64
Addresses2^64
/64 networks1
- Network
fe80:c25a:dd:ddcf::/64- First address
fe80:c25a:dd:ddcf::- Last address
fe80:c25a:dd:ddcf:ffff:ffff:ffff:ffff- Addresses
- 18,446,744,073,709,551,616 (2^64)
- /64 networks (LANs)
- 1
- Full form
fe80:c25a:00dd:ddcf:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
f.c.d.d.d.d.0.0.a.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25a:dd:ddcf::/64 makes 65,536 subnets of /80; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25a:dd:ddcf::/80 | fe80:c25a:dd:ddcf:0:ffff:ffff:ffff |
| 2 | fe80:c25a:dd:ddcf:1::/80 | fe80:c25a:dd:ddcf:1:ffff:ffff:ffff |
| 3 | fe80:c25a:dd:ddcf:2::/80 | fe80:c25a:dd:ddcf:2:ffff:ffff:ffff |
| 4 | fe80:c25a:dd:ddcf:3::/80 | fe80:c25a:dd:ddcf:3:ffff:ffff:ffff |
| 5 | fe80:c25a:dd:ddcf:4::/80 | fe80:c25a:dd:ddcf:4:ffff:ffff:ffff |
| 6 | fe80:c25a:dd:ddcf:5::/80 | fe80:c25a:dd:ddcf:5:ffff:ffff:ffff |
| 7 | fe80:c25a:dd:ddcf:6::/80 | fe80:c25a:dd:ddcf:6:ffff:ffff:ffff |
| 8 | fe80:c25a:dd:ddcf:7::/80 | fe80:c25a:dd:ddcf:7:ffff:ffff:ffff |
| 9 | fe80:c25a:dd:ddcf:8::/80 | fe80:c25a:dd:ddcf:8:ffff:ffff:ffff |
| 10 | fe80:c25a:dd:ddcf:9::/80 | fe80:c25a:dd:ddcf:9:ffff:ffff:ffff |
| 11 | fe80:c25a:dd:ddcf:a::/80 | fe80:c25a:dd:ddcf:a:ffff:ffff:ffff |
| 12 | fe80:c25a:dd:ddcf:b::/80 | fe80:c25a:dd:ddcf:b:ffff:ffff:ffff |
| 13 | fe80:c25a:dd:ddcf:c::/80 | fe80:c25a:dd:ddcf:c:ffff:ffff:ffff |
| 14 | fe80:c25a:dd:ddcf:d::/80 | fe80:c25a:dd:ddcf:d:ffff:ffff:ffff |
| 15 | fe80:c25a:dd:ddcf:e::/80 | fe80:c25a:dd:ddcf:e:ffff:ffff:ffff |
| 16 | fe80:c25a:dd:ddcf:f::/80 | fe80:c25a:dd:ddcf:f:ffff:ffff:ffff |
| 17 | fe80:c25a:dd:ddcf:10::/80 | fe80:c25a:dd:ddcf:10:ffff:ffff:ffff |
| 18 | fe80:c25a:dd:ddcf:11::/80 | fe80:c25a:dd:ddcf:11:ffff:ffff:ffff |
| 19 | fe80:c25a:dd:ddcf:12::/80 | fe80:c25a:dd:ddcf:12:ffff:ffff:ffff |
| 20 | fe80:c25a:dd:ddcf:13::/80 | fe80:c25a:dd:ddcf:13:ffff:ffff:ffff |
| 21 | fe80:c25a:dd:ddcf:14::/80 | fe80:c25a:dd:ddcf:14:ffff:ffff:ffff |
| 22 | fe80:c25a:dd:ddcf:15::/80 | fe80:c25a:dd:ddcf:15:ffff:ffff:ffff |
| 23 | fe80:c25a:dd:ddcf:16::/80 | fe80:c25a:dd:ddcf:16:ffff:ffff:ffff |
| 24 | fe80:c25a:dd:ddcf:17::/80 | fe80:c25a:dd:ddcf:17:ffff:ffff:ffff |
| 25 | fe80:c25a:dd:ddcf:18::/80 | fe80:c25a:dd:ddcf:18:ffff:ffff:ffff |
| 26 | fe80:c25a:dd:ddcf:19::/80 | fe80:c25a:dd:ddcf:19:ffff:ffff:ffff |
| 27 | fe80:c25a:dd:ddcf:1a::/80 | fe80:c25a:dd:ddcf:1a:ffff:ffff:ffff |
| 28 | fe80:c25a:dd:ddcf:1b::/80 | fe80:c25a:dd:ddcf:1b:ffff:ffff:ffff |
| 29 | fe80:c25a:dd:ddcf:1c::/80 | fe80:c25a:dd:ddcf:1c:ffff:ffff:ffff |
| 30 | fe80:c25a:dd:ddcf:1d::/80 | fe80:c25a:dd:ddcf:1d:ffff:ffff:ffff |
| 31 | fe80:c25a:dd:ddcf:1e::/80 | fe80:c25a:dd:ddcf:1e:ffff:ffff:ffff |
| 32 | fe80:c25a:dd:ddcf:1f::/80 | fe80:c25a:dd:ddcf:1f:ffff:ffff:ffff |
| 33 | fe80:c25a:dd:ddcf:20::/80 | fe80:c25a:dd:ddcf:20:ffff:ffff:ffff |
| 34 | fe80:c25a:dd:ddcf:21::/80 | fe80:c25a:dd:ddcf:21:ffff:ffff:ffff |
| 35 | fe80:c25a:dd:ddcf:22::/80 | fe80:c25a:dd:ddcf:22:ffff:ffff:ffff |
| 36 | fe80:c25a:dd:ddcf:23::/80 | fe80:c25a:dd:ddcf:23:ffff:ffff:ffff |
| 37 | fe80:c25a:dd:ddcf:24::/80 | fe80:c25a:dd:ddcf:24:ffff:ffff:ffff |
| 38 | fe80:c25a:dd:ddcf:25::/80 | fe80:c25a:dd:ddcf:25:ffff:ffff:ffff |
| 39 | fe80:c25a:dd:ddcf:26::/80 | fe80:c25a:dd:ddcf:26:ffff:ffff:ffff |
| 40 | fe80:c25a:dd:ddcf:27::/80 | fe80:c25a:dd:ddcf:27:ffff:ffff:ffff |
| 41 | fe80:c25a:dd:ddcf:28::/80 | fe80:c25a:dd:ddcf:28:ffff:ffff:ffff |
| 42 | fe80:c25a:dd:ddcf:29::/80 | fe80:c25a:dd:ddcf:29:ffff:ffff:ffff |
| 43 | fe80:c25a:dd:ddcf:2a::/80 | fe80:c25a:dd:ddcf:2a:ffff:ffff:ffff |
| 44 | fe80:c25a:dd:ddcf:2b::/80 | fe80:c25a:dd:ddcf:2b:ffff:ffff:ffff |
| 45 | fe80:c25a:dd:ddcf:2c::/80 | fe80:c25a:dd:ddcf:2c:ffff:ffff:ffff |
| 46 | fe80:c25a:dd:ddcf:2d::/80 | fe80:c25a:dd:ddcf:2d:ffff:ffff:ffff |
| 47 | fe80:c25a:dd:ddcf:2e::/80 | fe80:c25a:dd:ddcf:2e:ffff:ffff:ffff |
| 48 | fe80:c25a:dd:ddcf:2f::/80 | fe80:c25a:dd:ddcf:2f:ffff:ffff:ffff |
| 49 | fe80:c25a:dd:ddcf:30::/80 | fe80:c25a:dd:ddcf:30:ffff:ffff:ffff |
| 50 | fe80:c25a:dd:ddcf:31::/80 | fe80:c25a:dd:ddcf:31:ffff:ffff:ffff |
| 51 | fe80:c25a:dd:ddcf:32::/80 | fe80:c25a:dd:ddcf:32:ffff:ffff:ffff |
| 52 | fe80:c25a:dd:ddcf:33::/80 | fe80:c25a:dd:ddcf:33:ffff:ffff:ffff |
| 53 | fe80:c25a:dd:ddcf:34::/80 | fe80:c25a:dd:ddcf:34:ffff:ffff:ffff |
| 54 | fe80:c25a:dd:ddcf:35::/80 | fe80:c25a:dd:ddcf:35:ffff:ffff:ffff |
| 55 | fe80:c25a:dd:ddcf:36::/80 | fe80:c25a:dd:ddcf:36:ffff:ffff:ffff |
| 56 | fe80:c25a:dd:ddcf:37::/80 | fe80:c25a:dd:ddcf:37:ffff:ffff:ffff |
| 57 | fe80:c25a:dd:ddcf:38::/80 | fe80:c25a:dd:ddcf:38:ffff:ffff:ffff |
| 58 | fe80:c25a:dd:ddcf:39::/80 | fe80:c25a:dd:ddcf:39:ffff:ffff:ffff |
| 59 | fe80:c25a:dd:ddcf:3a::/80 | fe80:c25a:dd:ddcf:3a:ffff:ffff:ffff |
| 60 | fe80:c25a:dd:ddcf:3b::/80 | fe80:c25a:dd:ddcf:3b:ffff:ffff:ffff |
| 61 | fe80:c25a:dd:ddcf:3c::/80 | fe80:c25a:dd:ddcf:3c:ffff:ffff:ffff |
| 62 | fe80:c25a:dd:ddcf:3d::/80 | fe80:c25a:dd:ddcf:3d:ffff:ffff:ffff |
| 63 | fe80:c25a:dd:ddcf:3e::/80 | fe80:c25a:dd:ddcf:3e:ffff:ffff:ffff |
| 64 | fe80:c25a:dd:ddcf:3f::/80 | fe80:c25a:dd:ddcf:3f:ffff:ffff:ffff |
| 65 | fe80:c25a:dd:ddcf:40::/80 | fe80:c25a:dd:ddcf:40:ffff:ffff:ffff |
| 66 | fe80:c25a:dd:ddcf:41::/80 | fe80:c25a:dd:ddcf:41:ffff:ffff:ffff |
| 67 | fe80:c25a:dd:ddcf:42::/80 | fe80:c25a:dd:ddcf:42:ffff:ffff:ffff |
| 68 | fe80:c25a:dd:ddcf:43::/80 | fe80:c25a:dd:ddcf:43:ffff:ffff:ffff |
| 69 | fe80:c25a:dd:ddcf:44::/80 | fe80:c25a:dd:ddcf:44:ffff:ffff:ffff |
| 70 | fe80:c25a:dd:ddcf:45::/80 | fe80:c25a:dd:ddcf:45:ffff:ffff:ffff |
| 71 | fe80:c25a:dd:ddcf:46::/80 | fe80:c25a:dd:ddcf:46:ffff:ffff:ffff |
| 72 | fe80:c25a:dd:ddcf:47::/80 | fe80:c25a:dd:ddcf:47:ffff:ffff:ffff |
| 73 | fe80:c25a:dd:ddcf:48::/80 | fe80:c25a:dd:ddcf:48:ffff:ffff:ffff |
| 74 | fe80:c25a:dd:ddcf:49::/80 | fe80:c25a:dd:ddcf:49:ffff:ffff:ffff |
| 75 | fe80:c25a:dd:ddcf:4a::/80 | fe80:c25a:dd:ddcf:4a:ffff:ffff:ffff |
| 76 | fe80:c25a:dd:ddcf:4b::/80 | fe80:c25a:dd:ddcf:4b:ffff:ffff:ffff |
| 77 | fe80:c25a:dd:ddcf:4c::/80 | fe80:c25a:dd:ddcf:4c:ffff:ffff:ffff |
| 78 | fe80:c25a:dd:ddcf:4d::/80 | fe80:c25a:dd:ddcf:4d:ffff:ffff:ffff |
| 79 | fe80:c25a:dd:ddcf:4e::/80 | fe80:c25a:dd:ddcf:4e:ffff:ffff:ffff |
| 80 | fe80:c25a:dd:ddcf:4f::/80 | fe80:c25a:dd:ddcf:4f:ffff:ffff:ffff |
| 81 | fe80:c25a:dd:ddcf:50::/80 | fe80:c25a:dd:ddcf:50:ffff:ffff:ffff |
| 82 | fe80:c25a:dd:ddcf:51::/80 | fe80:c25a:dd:ddcf:51:ffff:ffff:ffff |
| 83 | fe80:c25a:dd:ddcf:52::/80 | fe80:c25a:dd:ddcf:52:ffff:ffff:ffff |
| 84 | fe80:c25a:dd:ddcf:53::/80 | fe80:c25a:dd:ddcf:53:ffff:ffff:ffff |
| 85 | fe80:c25a:dd:ddcf:54::/80 | fe80:c25a:dd:ddcf:54:ffff:ffff:ffff |
| 86 | fe80:c25a:dd:ddcf:55::/80 | fe80:c25a:dd:ddcf:55:ffff:ffff:ffff |
| 87 | fe80:c25a:dd:ddcf:56::/80 | fe80:c25a:dd:ddcf:56:ffff:ffff:ffff |
| 88 | fe80:c25a:dd:ddcf:57::/80 | fe80:c25a:dd:ddcf:57:ffff:ffff:ffff |
| 89 | fe80:c25a:dd:ddcf:58::/80 | fe80:c25a:dd:ddcf:58:ffff:ffff:ffff |
| 90 | fe80:c25a:dd:ddcf:59::/80 | fe80:c25a:dd:ddcf:59:ffff:ffff:ffff |
| 91 | fe80:c25a:dd:ddcf:5a::/80 | fe80:c25a:dd:ddcf:5a:ffff:ffff:ffff |
| 92 | fe80:c25a:dd:ddcf:5b::/80 | fe80:c25a:dd:ddcf:5b:ffff:ffff:ffff |
| 93 | fe80:c25a:dd:ddcf:5c::/80 | fe80:c25a:dd:ddcf:5c:ffff:ffff:ffff |
| 94 | fe80:c25a:dd:ddcf:5d::/80 | fe80:c25a:dd:ddcf:5d:ffff:ffff:ffff |
| 95 | fe80:c25a:dd:ddcf:5e::/80 | fe80:c25a:dd:ddcf:5e:ffff:ffff:ffff |
| 96 | fe80:c25a:dd:ddcf:5f::/80 | fe80:c25a:dd:ddcf:5f:ffff:ffff:ffff |
| 97 | fe80:c25a:dd:ddcf:60::/80 | fe80:c25a:dd:ddcf:60:ffff:ffff:ffff |
| 98 | fe80:c25a:dd:ddcf:61::/80 | fe80:c25a:dd:ddcf:61:ffff:ffff:ffff |
| 99 | fe80:c25a:dd:ddcf:62::/80 | fe80:c25a:dd:ddcf:62:ffff:ffff:ffff |
| 100 | fe80:c25a:dd:ddcf:63::/80 | fe80:c25a:dd:ddcf:63:ffff:ffff:ffff |
| 101 | fe80:c25a:dd:ddcf:64::/80 | fe80:c25a:dd:ddcf:64:ffff:ffff:ffff |
| 102 | fe80:c25a:dd:ddcf:65::/80 | fe80:c25a:dd:ddcf:65:ffff:ffff:ffff |
| 103 | fe80:c25a:dd:ddcf:66::/80 | fe80:c25a:dd:ddcf:66:ffff:ffff:ffff |
| 104 | fe80:c25a:dd:ddcf:67::/80 | fe80:c25a:dd:ddcf:67:ffff:ffff:ffff |
| 105 | fe80:c25a:dd:ddcf:68::/80 | fe80:c25a:dd:ddcf:68:ffff:ffff:ffff |
| 106 | fe80:c25a:dd:ddcf:69::/80 | fe80:c25a:dd:ddcf:69:ffff:ffff:ffff |
| 107 | fe80:c25a:dd:ddcf:6a::/80 | fe80:c25a:dd:ddcf:6a:ffff:ffff:ffff |
| 108 | fe80:c25a:dd:ddcf:6b::/80 | fe80:c25a:dd:ddcf:6b:ffff:ffff:ffff |
| 109 | fe80:c25a:dd:ddcf:6c::/80 | fe80:c25a:dd:ddcf:6c:ffff:ffff:ffff |
| 110 | fe80:c25a:dd:ddcf:6d::/80 | fe80:c25a:dd:ddcf:6d:ffff:ffff:ffff |
| 111 | fe80:c25a:dd:ddcf:6e::/80 | fe80:c25a:dd:ddcf:6e:ffff:ffff:ffff |
| 112 | fe80:c25a:dd:ddcf:6f::/80 | fe80:c25a:dd:ddcf:6f:ffff:ffff:ffff |
| 113 | fe80:c25a:dd:ddcf:70::/80 | fe80:c25a:dd:ddcf:70:ffff:ffff:ffff |
| 114 | fe80:c25a:dd:ddcf:71::/80 | fe80:c25a:dd:ddcf:71:ffff:ffff:ffff |
| 115 | fe80:c25a:dd:ddcf:72::/80 | fe80:c25a:dd:ddcf:72:ffff:ffff:ffff |
| 116 | fe80:c25a:dd:ddcf:73::/80 | fe80:c25a:dd:ddcf:73:ffff:ffff:ffff |
| 117 | fe80:c25a:dd:ddcf:74::/80 | fe80:c25a:dd:ddcf:74:ffff:ffff:ffff |
| 118 | fe80:c25a:dd:ddcf:75::/80 | fe80:c25a:dd:ddcf:75:ffff:ffff:ffff |
| 119 | fe80:c25a:dd:ddcf:76::/80 | fe80:c25a:dd:ddcf:76:ffff:ffff:ffff |
| 120 | fe80:c25a:dd:ddcf:77::/80 | fe80:c25a:dd:ddcf:77:ffff:ffff:ffff |
| 121 | fe80:c25a:dd:ddcf:78::/80 | fe80:c25a:dd:ddcf:78:ffff:ffff:ffff |
| 122 | fe80:c25a:dd:ddcf:79::/80 | fe80:c25a:dd:ddcf:79:ffff:ffff:ffff |
| 123 | fe80:c25a:dd:ddcf:7a::/80 | fe80:c25a:dd:ddcf:7a:ffff:ffff:ffff |
| 124 | fe80:c25a:dd:ddcf:7b::/80 | fe80:c25a:dd:ddcf:7b:ffff:ffff:ffff |
| 125 | fe80:c25a:dd:ddcf:7c::/80 | fe80:c25a:dd:ddcf:7c:ffff:ffff:ffff |
| 126 | fe80:c25a:dd:ddcf:7d::/80 | fe80:c25a:dd:ddcf:7d:ffff:ffff:ffff |
| 127 | fe80:c25a:dd:ddcf:7e::/80 | fe80:c25a:dd:ddcf:7e:ffff:ffff:ffff |
| 128 | fe80:c25a:dd:ddcf:7f::/80 | fe80:c25a:dd:ddcf:7f:ffff:ffff:ffff |
| 129 | fe80:c25a:dd:ddcf:80::/80 | fe80:c25a:dd:ddcf:80:ffff:ffff:ffff |
| 130 | fe80:c25a:dd:ddcf:81::/80 | fe80:c25a:dd:ddcf:81:ffff:ffff:ffff |
| 131 | fe80:c25a:dd:ddcf:82::/80 | fe80:c25a:dd:ddcf:82:ffff:ffff:ffff |
| 132 | fe80:c25a:dd:ddcf:83::/80 | fe80:c25a:dd:ddcf:83:ffff:ffff:ffff |
| 133 | fe80:c25a:dd:ddcf:84::/80 | fe80:c25a:dd:ddcf:84:ffff:ffff:ffff |
| 134 | fe80:c25a:dd:ddcf:85::/80 | fe80:c25a:dd:ddcf:85:ffff:ffff:ffff |
| 135 | fe80:c25a:dd:ddcf:86::/80 | fe80:c25a:dd:ddcf:86:ffff:ffff:ffff |
| 136 | fe80:c25a:dd:ddcf:87::/80 | fe80:c25a:dd:ddcf:87:ffff:ffff:ffff |
| 137 | fe80:c25a:dd:ddcf:88::/80 | fe80:c25a:dd:ddcf:88:ffff:ffff:ffff |
| 138 | fe80:c25a:dd:ddcf:89::/80 | fe80:c25a:dd:ddcf:89:ffff:ffff:ffff |
| 139 | fe80:c25a:dd:ddcf:8a::/80 | fe80:c25a:dd:ddcf:8a:ffff:ffff:ffff |
| 140 | fe80:c25a:dd:ddcf:8b::/80 | fe80:c25a:dd:ddcf:8b:ffff:ffff:ffff |
| 141 | fe80:c25a:dd:ddcf:8c::/80 | fe80:c25a:dd:ddcf:8c:ffff:ffff:ffff |
| 142 | fe80:c25a:dd:ddcf:8d::/80 | fe80:c25a:dd:ddcf:8d:ffff:ffff:ffff |
| 143 | fe80:c25a:dd:ddcf:8e::/80 | fe80:c25a:dd:ddcf:8e:ffff:ffff:ffff |
| 144 | fe80:c25a:dd:ddcf:8f::/80 | fe80:c25a:dd:ddcf:8f:ffff:ffff:ffff |
| 145 | fe80:c25a:dd:ddcf:90::/80 | fe80:c25a:dd:ddcf:90:ffff:ffff:ffff |
| 146 | fe80:c25a:dd:ddcf:91::/80 | fe80:c25a:dd:ddcf:91:ffff:ffff:ffff |
| 147 | fe80:c25a:dd:ddcf:92::/80 | fe80:c25a:dd:ddcf:92:ffff:ffff:ffff |
| 148 | fe80:c25a:dd:ddcf:93::/80 | fe80:c25a:dd:ddcf:93:ffff:ffff:ffff |
| 149 | fe80:c25a:dd:ddcf:94::/80 | fe80:c25a:dd:ddcf:94:ffff:ffff:ffff |
| 150 | fe80:c25a:dd:ddcf:95::/80 | fe80:c25a:dd:ddcf:95:ffff:ffff:ffff |
| 151 | fe80:c25a:dd:ddcf:96::/80 | fe80:c25a:dd:ddcf:96:ffff:ffff:ffff |
| 152 | fe80:c25a:dd:ddcf:97::/80 | fe80:c25a:dd:ddcf:97:ffff:ffff:ffff |
| 153 | fe80:c25a:dd:ddcf:98::/80 | fe80:c25a:dd:ddcf:98:ffff:ffff:ffff |
| 154 | fe80:c25a:dd:ddcf:99::/80 | fe80:c25a:dd:ddcf:99:ffff:ffff:ffff |
| 155 | fe80:c25a:dd:ddcf:9a::/80 | fe80:c25a:dd:ddcf:9a:ffff:ffff:ffff |
| 156 | fe80:c25a:dd:ddcf:9b::/80 | fe80:c25a:dd:ddcf:9b:ffff:ffff:ffff |
| 157 | fe80:c25a:dd:ddcf:9c::/80 | fe80:c25a:dd:ddcf:9c:ffff:ffff:ffff |
| 158 | fe80:c25a:dd:ddcf:9d::/80 | fe80:c25a:dd:ddcf:9d:ffff:ffff:ffff |
| 159 | fe80:c25a:dd:ddcf:9e::/80 | fe80:c25a:dd:ddcf:9e:ffff:ffff:ffff |
| 160 | fe80:c25a:dd:ddcf:9f::/80 | fe80:c25a:dd:ddcf:9f:ffff:ffff:ffff |
| 161 | fe80:c25a:dd:ddcf:a0::/80 | fe80:c25a:dd:ddcf:a0:ffff:ffff:ffff |
| 162 | fe80:c25a:dd:ddcf:a1::/80 | fe80:c25a:dd:ddcf:a1:ffff:ffff:ffff |
| 163 | fe80:c25a:dd:ddcf:a2::/80 | fe80:c25a:dd:ddcf:a2:ffff:ffff:ffff |
| 164 | fe80:c25a:dd:ddcf:a3::/80 | fe80:c25a:dd:ddcf:a3:ffff:ffff:ffff |
| 165 | fe80:c25a:dd:ddcf:a4::/80 | fe80:c25a:dd:ddcf:a4:ffff:ffff:ffff |
| 166 | fe80:c25a:dd:ddcf:a5::/80 | fe80:c25a:dd:ddcf:a5:ffff:ffff:ffff |
| 167 | fe80:c25a:dd:ddcf:a6::/80 | fe80:c25a:dd:ddcf:a6:ffff:ffff:ffff |
| 168 | fe80:c25a:dd:ddcf:a7::/80 | fe80:c25a:dd:ddcf:a7:ffff:ffff:ffff |
| 169 | fe80:c25a:dd:ddcf:a8::/80 | fe80:c25a:dd:ddcf:a8:ffff:ffff:ffff |
| 170 | fe80:c25a:dd:ddcf:a9::/80 | fe80:c25a:dd:ddcf:a9:ffff:ffff:ffff |
| 171 | fe80:c25a:dd:ddcf:aa::/80 | fe80:c25a:dd:ddcf:aa:ffff:ffff:ffff |
| 172 | fe80:c25a:dd:ddcf:ab::/80 | fe80:c25a:dd:ddcf:ab:ffff:ffff:ffff |
| 173 | fe80:c25a:dd:ddcf:ac::/80 | fe80:c25a:dd:ddcf:ac:ffff:ffff:ffff |
| 174 | fe80:c25a:dd:ddcf:ad::/80 | fe80:c25a:dd:ddcf:ad:ffff:ffff:ffff |
| 175 | fe80:c25a:dd:ddcf:ae::/80 | fe80:c25a:dd:ddcf:ae:ffff:ffff:ffff |
| 176 | fe80:c25a:dd:ddcf:af::/80 | fe80:c25a:dd:ddcf:af:ffff:ffff:ffff |
| 177 | fe80:c25a:dd:ddcf:b0::/80 | fe80:c25a:dd:ddcf:b0:ffff:ffff:ffff |
| 178 | fe80:c25a:dd:ddcf:b1::/80 | fe80:c25a:dd:ddcf:b1:ffff:ffff:ffff |
| 179 | fe80:c25a:dd:ddcf:b2::/80 | fe80:c25a:dd:ddcf:b2:ffff:ffff:ffff |
| 180 | fe80:c25a:dd:ddcf:b3::/80 | fe80:c25a:dd:ddcf:b3:ffff:ffff:ffff |
| 181 | fe80:c25a:dd:ddcf:b4::/80 | fe80:c25a:dd:ddcf:b4:ffff:ffff:ffff |
| 182 | fe80:c25a:dd:ddcf:b5::/80 | fe80:c25a:dd:ddcf:b5:ffff:ffff:ffff |
| 183 | fe80:c25a:dd:ddcf:b6::/80 | fe80:c25a:dd:ddcf:b6:ffff:ffff:ffff |
| 184 | fe80:c25a:dd:ddcf:b7::/80 | fe80:c25a:dd:ddcf:b7:ffff:ffff:ffff |
| 185 | fe80:c25a:dd:ddcf:b8::/80 | fe80:c25a:dd:ddcf:b8:ffff:ffff:ffff |
| 186 | fe80:c25a:dd:ddcf:b9::/80 | fe80:c25a:dd:ddcf:b9:ffff:ffff:ffff |
| 187 | fe80:c25a:dd:ddcf:ba::/80 | fe80:c25a:dd:ddcf:ba:ffff:ffff:ffff |
| 188 | fe80:c25a:dd:ddcf:bb::/80 | fe80:c25a:dd:ddcf:bb:ffff:ffff:ffff |
| 189 | fe80:c25a:dd:ddcf:bc::/80 | fe80:c25a:dd:ddcf:bc:ffff:ffff:ffff |
| 190 | fe80:c25a:dd:ddcf:bd::/80 | fe80:c25a:dd:ddcf:bd:ffff:ffff:ffff |
| 191 | fe80:c25a:dd:ddcf:be::/80 | fe80:c25a:dd:ddcf:be:ffff:ffff:ffff |
| 192 | fe80:c25a:dd:ddcf:bf::/80 | fe80:c25a:dd:ddcf:bf:ffff:ffff:ffff |
| 193 | fe80:c25a:dd:ddcf:c0::/80 | fe80:c25a:dd:ddcf:c0:ffff:ffff:ffff |
| 194 | fe80:c25a:dd:ddcf:c1::/80 | fe80:c25a:dd:ddcf:c1:ffff:ffff:ffff |
| 195 | fe80:c25a:dd:ddcf:c2::/80 | fe80:c25a:dd:ddcf:c2:ffff:ffff:ffff |
| 196 | fe80:c25a:dd:ddcf:c3::/80 | fe80:c25a:dd:ddcf:c3:ffff:ffff:ffff |
| 197 | fe80:c25a:dd:ddcf:c4::/80 | fe80:c25a:dd:ddcf:c4:ffff:ffff:ffff |
| 198 | fe80:c25a:dd:ddcf:c5::/80 | fe80:c25a:dd:ddcf:c5:ffff:ffff:ffff |
| 199 | fe80:c25a:dd:ddcf:c6::/80 | fe80:c25a:dd:ddcf:c6:ffff:ffff:ffff |
| 200 | fe80:c25a:dd:ddcf:c7::/80 | fe80:c25a:dd:ddcf:c7:ffff:ffff:ffff |
| 201 | fe80:c25a:dd:ddcf:c8::/80 | fe80:c25a:dd:ddcf:c8:ffff:ffff:ffff |
| 202 | fe80:c25a:dd:ddcf:c9::/80 | fe80:c25a:dd:ddcf:c9:ffff:ffff:ffff |
| 203 | fe80:c25a:dd:ddcf:ca::/80 | fe80:c25a:dd:ddcf:ca:ffff:ffff:ffff |
| 204 | fe80:c25a:dd:ddcf:cb::/80 | fe80:c25a:dd:ddcf:cb:ffff:ffff:ffff |
| 205 | fe80:c25a:dd:ddcf:cc::/80 | fe80:c25a:dd:ddcf:cc:ffff:ffff:ffff |
| 206 | fe80:c25a:dd:ddcf:cd::/80 | fe80:c25a:dd:ddcf:cd:ffff:ffff:ffff |
| 207 | fe80:c25a:dd:ddcf:ce::/80 | fe80:c25a:dd:ddcf:ce:ffff:ffff:ffff |
| 208 | fe80:c25a:dd:ddcf:cf::/80 | fe80:c25a:dd:ddcf:cf:ffff:ffff:ffff |
| 209 | fe80:c25a:dd:ddcf:d0::/80 | fe80:c25a:dd:ddcf:d0:ffff:ffff:ffff |
| 210 | fe80:c25a:dd:ddcf:d1::/80 | fe80:c25a:dd:ddcf:d1:ffff:ffff:ffff |
| 211 | fe80:c25a:dd:ddcf:d2::/80 | fe80:c25a:dd:ddcf:d2:ffff:ffff:ffff |
| 212 | fe80:c25a:dd:ddcf:d3::/80 | fe80:c25a:dd:ddcf:d3:ffff:ffff:ffff |
| 213 | fe80:c25a:dd:ddcf:d4::/80 | fe80:c25a:dd:ddcf:d4:ffff:ffff:ffff |
| 214 | fe80:c25a:dd:ddcf:d5::/80 | fe80:c25a:dd:ddcf:d5:ffff:ffff:ffff |
| 215 | fe80:c25a:dd:ddcf:d6::/80 | fe80:c25a:dd:ddcf:d6:ffff:ffff:ffff |
| 216 | fe80:c25a:dd:ddcf:d7::/80 | fe80:c25a:dd:ddcf:d7:ffff:ffff:ffff |
| 217 | fe80:c25a:dd:ddcf:d8::/80 | fe80:c25a:dd:ddcf:d8:ffff:ffff:ffff |
| 218 | fe80:c25a:dd:ddcf:d9::/80 | fe80:c25a:dd:ddcf:d9:ffff:ffff:ffff |
| 219 | fe80:c25a:dd:ddcf:da::/80 | fe80:c25a:dd:ddcf:da:ffff:ffff:ffff |
| 220 | fe80:c25a:dd:ddcf:db::/80 | fe80:c25a:dd:ddcf:db:ffff:ffff:ffff |
| 221 | fe80:c25a:dd:ddcf:dc::/80 | fe80:c25a:dd:ddcf:dc:ffff:ffff:ffff |
| 222 | fe80:c25a:dd:ddcf:dd::/80 | fe80:c25a:dd:ddcf:dd:ffff:ffff:ffff |
| 223 | fe80:c25a:dd:ddcf:de::/80 | fe80:c25a:dd:ddcf:de:ffff:ffff:ffff |
| 224 | fe80:c25a:dd:ddcf:df::/80 | fe80:c25a:dd:ddcf:df:ffff:ffff:ffff |
| 225 | fe80:c25a:dd:ddcf:e0::/80 | fe80:c25a:dd:ddcf:e0:ffff:ffff:ffff |
| 226 | fe80:c25a:dd:ddcf:e1::/80 | fe80:c25a:dd:ddcf:e1:ffff:ffff:ffff |
| 227 | fe80:c25a:dd:ddcf:e2::/80 | fe80:c25a:dd:ddcf:e2:ffff:ffff:ffff |
| 228 | fe80:c25a:dd:ddcf:e3::/80 | fe80:c25a:dd:ddcf:e3:ffff:ffff:ffff |
| 229 | fe80:c25a:dd:ddcf:e4::/80 | fe80:c25a:dd:ddcf:e4:ffff:ffff:ffff |
| 230 | fe80:c25a:dd:ddcf:e5::/80 | fe80:c25a:dd:ddcf:e5:ffff:ffff:ffff |
| 231 | fe80:c25a:dd:ddcf:e6::/80 | fe80:c25a:dd:ddcf:e6:ffff:ffff:ffff |
| 232 | fe80:c25a:dd:ddcf:e7::/80 | fe80:c25a:dd:ddcf:e7:ffff:ffff:ffff |
| 233 | fe80:c25a:dd:ddcf:e8::/80 | fe80:c25a:dd:ddcf:e8:ffff:ffff:ffff |
| 234 | fe80:c25a:dd:ddcf:e9::/80 | fe80:c25a:dd:ddcf:e9:ffff:ffff:ffff |
| 235 | fe80:c25a:dd:ddcf:ea::/80 | fe80:c25a:dd:ddcf:ea:ffff:ffff:ffff |
| 236 | fe80:c25a:dd:ddcf:eb::/80 | fe80:c25a:dd:ddcf:eb:ffff:ffff:ffff |
| 237 | fe80:c25a:dd:ddcf:ec::/80 | fe80:c25a:dd:ddcf:ec:ffff:ffff:ffff |
| 238 | fe80:c25a:dd:ddcf:ed::/80 | fe80:c25a:dd:ddcf:ed:ffff:ffff:ffff |
| 239 | fe80:c25a:dd:ddcf:ee::/80 | fe80:c25a:dd:ddcf:ee:ffff:ffff:ffff |
| 240 | fe80:c25a:dd:ddcf:ef::/80 | fe80:c25a:dd:ddcf:ef:ffff:ffff:ffff |
| 241 | fe80:c25a:dd:ddcf:f0::/80 | fe80:c25a:dd:ddcf:f0:ffff:ffff:ffff |
| 242 | fe80:c25a:dd:ddcf:f1::/80 | fe80:c25a:dd:ddcf:f1:ffff:ffff:ffff |
| 243 | fe80:c25a:dd:ddcf:f2::/80 | fe80:c25a:dd:ddcf:f2:ffff:ffff:ffff |
| 244 | fe80:c25a:dd:ddcf:f3::/80 | fe80:c25a:dd:ddcf:f3:ffff:ffff:ffff |
| 245 | fe80:c25a:dd:ddcf:f4::/80 | fe80:c25a:dd:ddcf:f4:ffff:ffff:ffff |
| 246 | fe80:c25a:dd:ddcf:f5::/80 | fe80:c25a:dd:ddcf:f5:ffff:ffff:ffff |
| 247 | fe80:c25a:dd:ddcf:f6::/80 | fe80:c25a:dd:ddcf:f6:ffff:ffff:ffff |
| 248 | fe80:c25a:dd:ddcf:f7::/80 | fe80:c25a:dd:ddcf:f7:ffff:ffff:ffff |
| 249 | fe80:c25a:dd:ddcf:f8::/80 | fe80:c25a:dd:ddcf:f8:ffff:ffff:ffff |
| 250 | fe80:c25a:dd:ddcf:f9::/80 | fe80:c25a:dd:ddcf:f9:ffff:ffff:ffff |
| 251 | fe80:c25a:dd:ddcf:fa::/80 | fe80:c25a:dd:ddcf:fa:ffff:ffff:ffff |
| 252 | fe80:c25a:dd:ddcf:fb::/80 | fe80:c25a:dd:ddcf:fb:ffff:ffff:ffff |
| 253 | fe80:c25a:dd:ddcf:fc::/80 | fe80:c25a:dd:ddcf:fc:ffff:ffff:ffff |
| 254 | fe80:c25a:dd:ddcf:fd::/80 | fe80:c25a:dd:ddcf:fd:ffff:ffff:ffff |
| 255 | fe80:c25a:dd:ddcf:fe::/80 | fe80:c25a:dd:ddcf:fe:ffff:ffff:ffff |
| 256 | fe80:c25a:dd:ddcf:ff::/80 | fe80:c25a:dd:ddcf:ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |